Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81028 - DNS unconfigurable when eth not enabled on boot
Summary: DNS unconfigurable when eth not enabled on boot
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-03 16:13 UTC by Miloslav Trmac
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-02 11:34:55 UTC


Attachments (Terms of Use)

Description Miloslav Trmac 2003-01-03 16:13:30 UTC
Steps to Reproduce:
1.Start installation of phoebe on a system with a network card
2.In the networking tab, deselect "activate at boot" for eth0
  => DNS and gateway settings are grayed out
3.Click Next
  => Two warning messages appear: Gateway was not filled in
     the same for Primary DNS
    
Either DNS and gateways is required when eth0 is ONBOOT=no, or
it isn't. Current behavior is inconsistent.

I'd prefer not requiring the info, in my case the card is never
used, but I don't feel strongly about it - the warnings are
easy to override.

Comment 1 Michael Fulbright 2003-01-08 21:20:44 UTC
Thanks for catching this - will look at as time allows.

Comment 2 Jeremy Katz 2003-09-25 21:19:48 UTC
Consistent in current codebase.

Comment 3 Miloslav Trmac 2003-10-02 11:34:55 UTC
Fix confirmed, thanks!


Note You need to log in before you can comment on or make changes to this bug.